mysql_stmt_insert_id(3)

  Name

mysql_stmt_insert_id - Returns the auto generated id from previously executed prepared statement.

  Synopsis

    #include <mysql.h>
    my_ulonglong mysql_stmt_insert_id(MYSQL_STMT * stmt);

  Description

The mysql_stmt_insert_id() function returns the ID generated by a prepared statement on a table with a column having the AUTO_INCREMENT attribute. ## Parameter * stmt - a statement handle, which was previously allocated by mysql_stmt_init(3). ## Return value Returns the auto generated id from previously executed prepared statement. If the last query wasn’t an INSERT or UPDATE statement or if the modified table does not have a column with the AUTO_INCREMENT attribute, this function will return zero.

  Notes

•   When performing a multi insert prepared statement, mysql_stmt_insert_id() will return the value of the first row.

  See Also

•   mysql_insert_id(3)